/*************************************************************

(C) ISEP 2004
(C) Professores de ADAV 2004

O ISEP, na qualidade de autor do presente software, garante 
o direito de utilizao, alterao, evoluo e distribuio 
do mesmo sem qualquer tipo de restries, excepto:
	- esta mensagem no pode ser retirada
	- os nomes das classes no podem ser alterados

*************************************************************/

using System;
using System.Data;
using System.Data.Common;
using System.Data.OleDb;


namespace ShopClassLibrary
{
	/// <summary>
	/// Summary description for interface ICustomer.
	/// </summary>
	public interface ICustomer
	{
		DataSet GetByID(string user, string pass, long clientID);

		DataSet FindByName(string user, string pass, string namePattern);

		long Add(string user, string pass, 
			     string name, string address, string phone, 
				 string fax, string eMail, out ShopStatusEnum status);

		ShopStatusEnum Update(string user, string pass, 
			                  long custumerID, string name, string address, 
							  string phone, string fax, string eMail);
	}

	/// <summary>
	/// Summary description for Customer.
	/// </summary>
	internal class Customer : ICustomer
	{
		public Customer()
		{
			//
			// TODO: Add constructor logic here
			//
		}

		public DataSet GetByID(string user, string pass, long clientID)
		{
			return null;
		}

		public DataSet FindByName(string user, string pass, string namePattern)
		{
			return null;
		}

		public long Add(string user, string pass, 
			            string name, string address, string phone, string fax, 
			            string eMail, out ShopStatusEnum status)
		{
			status = ShopStatusEnum.OK;
			return 0;
		}

		public ShopStatusEnum Update(string user, string pass, 
			                         long customerID, string name, string address, 
									 string phone, string fax, string eMail)
		{
			return ShopStatusEnum.OK;
		}
	}
}
