/*************************************************************

(C) ISEP 2004
(C) Professores de ADAV 2004

O ISEP, na qualidade de autor do presente software, garante 
o direito de utilizao, alterao, evoluo e distribuio 
do mesmo sem qualquer tipo de restries, excepto:
	- esta mensagem no pode ser retirada
	- os nomes das classes no podem ser alterados

*************************************************************/

using System;
using System.Data;
using System.Data.OleDb;



namespace ShopClassLibrary
{
	public interface ISale
	{
		DataSet CreateDetails(string User, string Pass);
		ShopStatusEnum Add(string User, string Pass, int CustomerID, DateTime Date, DataSet RsDetails);
	}

	public interface ISale2 : ISale
	{
		DataSet GetByCustomer(string User, string Pass, int CustomerID);
		DataSet GetAll(string User, string Pass);
	}

	/// <summary>
	/// Summary description for Sale.
	/// </summary>
	internal class Sale : ISale2
	{
		#region ISale

		/// <summary>
		/// pesquisa clientes por nome
		/// </summary>
		/// <param name="User">username de login na aplicao</param>
		/// <param name="Pass">password de login na aplicao</param>
		/// <returns>um dataset vazio para a palicao cliente preencher</returns>
		public DataSet CreateDetails(string User, string Pass)
		{
			return null;
		}

		/// <summary>
		/// adiciona uma venda ao sistema
		/// </summary>
		/// <param name="User">username de login na aplicao</param>
		/// <param name="Pass">password de login na aplicao</param>
		/// <param name="RsDetails">um dataset com as linhas de detalhe da venda</param>
		/// <returns>o cdigo de status relativo  operao</returns>
		public ShopStatusEnum Add(string User, string Pass, int CustomerID, DateTime Date, DataSet RsDetails)
		{
			return ShopStatusEnum.OK;
		}
		#endregion

		#region ISale2

		public DataSet GetByCustomer(string User, string Pass, int CustomerID)
		{
			return null;
		}

		public DataSet GetAll(string User, string Pass)
		{
			return null;
		}

		#endregion
	}
}
